Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.model.framestore
Class ImmutableNamesFrameStore

    java.lang.Object
      edu.stanford.smi.protege.model.framestore.AbstractFrameStore
          edu.stanford.smi.protege.model.framestore.FrameStoreAdapter
              edu.stanford.smi.protege.model.framestore.ImmutableNamesFrameStore

All Implemented Interfaces:
  FrameStore

    public class ImmutableNamesFrameStore

extends FrameStoreAdapter

Field Summary

Fields inherited from interface edu.stanford.smi.protege.model.framestore.FrameStore
`UNLIMITED_MATCHES`

Constructor Summary
`ImmutableNamesFrameStore(KnowledgeBase kb)`

Method Summary
`FrameID` | `adjustFrameId(FrameID id)`
`protected void` | `checkUniqueness(String name)`
`Cls` | `createCls(FrameID id, Collection directTypes, Collection directSuperclasses, boolean loadDefaultValues)`
`Facet` | `createFacet(FrameID id, Collection directTypes, boolean loadDefaultValues)`
`SimpleInstance` | `createSimpleInstance(FrameID id, Collection directTypes, boolean loadDefaultValues)`
`Slot` | `createSlot(FrameID id, Collection directTypes, Collection directSuperslots, boolean loadDefaultValues)`
`protected String` | `generateUniqueName(String baseName)`
`String` | `getFrameName(Frame frame)`

Methods inherited from class edu.stanford.smi.protege.model.framestore.FrameStoreAdapter
`addDirectSuperclass, addDirectSuperslot, addDirectTemplateSlot, addDirectType, beginTransaction, beginTransaction, commitTransaction, deleteCls, deleteFacet, deleteSimpleInstance, deleteSlot, executeQuery, getClsCount, getClses, getClsesWithAnyDirectTemplateSlotValue, getClsesWithDirectTemplateFacetValue, getClsesWithDirectTemplateSlotValue, getClsesWithMatchingBrowserText, getClsesWithMatchingDirectTemplateFacetValue, getClsesWithMatchingDirectTemplateSlotValue, getDirectDomain, getDirectInstances, getDirectlyOverriddenTemplateFacets, getDirectlyOverriddenTemplateSlots, getDirectOwnSlotValues, getDirectOwnSlotValuesClosure, getDirectOwnSlotValuesCount, getDirectSubclasses, getDirectSubslots, getDirectSuperclasses, getDirectSuperslots, getDirectTemplateFacetValues, getDirectTemplateSlots, getDirectTemplateSlotValues, getDirectTypes, getDomain, getEvents, getFacetCount, getFacets, getFrame, getFrame, getFrameCount, getFrames, getFramesWithAnyDirectOwnSlotValue, getFramesWithDirectOwnSlotValue, getFramesWithMatchingDirectOwnSlotValue, getInstances, getMatchingReferences, getOverriddenTemplateFacets, getOverriddenTemplateSlots, getOwnFacets, getOwnFacetValues, getOwnSlots, getOwnSlotValues, getReferences, getSimpleInstanceCount, getSlotCount, getSlots, getSubclasses, getSubslots, getSuperclasses, getSuperslots, getTemplateFacets, getTemplateFacetValues, getTemplateSlots, getTemplateSlotValues, getTransactionStatusMonitor, getTypes, moveDirectOwnSlotValue, moveDirectSubclass, moveDirectSubslot, moveDirectTemplateSlot, moveDirectType, reinitialize, removeDirectSuperclass, removeDirectSuperslot, removeDirectTemplateFacetOverrides, removeDirectTemplateSlot, removeDirectType, replaceFrame, rollbackTransaction, setDirectOwnSlotValues, setDirectTemplateFacetValues, setDirectTemplateSlotValues`

Methods inherited from class edu.stanford.smi.protege.model.framestore.AbstractFrameStore
`close, getDelegate, getName, onSetDelegate, setDelegate, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ImmutableNamesFrameStore

    public ImmutableNamesFrameStore(KnowledgeBase kb)

Method Detail

### adjustFrameId

    public FrameID adjustFrameId(FrameID id)

### checkUniqueness

    protected void checkUniqueness(String name)

### generateUniqueName

    protected String generateUniqueName(String baseName)

### getFrameName

    public String getFrameName(Frame frame)

  Specified by:
    `getFrameName` in interface `FrameStore`
  Overrides:
    `getFrameName` in class `FrameStoreAdapter`

### createCls

    public Cls createCls(FrameID id,
                         Collection directTypes,
                         Collection directSuperclasses,
                         boolean loadDefaultValues)

  Specified by:
    `createCls` in interface `FrameStore`
  Overrides:
    `createCls` in class `FrameStoreAdapter`

### createSlot

    public Slot createSlot(FrameID id,
                           Collection directTypes,
                           Collection directSuperslots,
                           boolean loadDefaultValues)

  Specified by:
    `createSlot` in interface `FrameStore`
  Overrides:
    `createSlot` in class `FrameStoreAdapter`

### createFacet

    public Facet createFacet(FrameID id,
                             Collection directTypes,
                             boolean loadDefaultValues)

  Specified by:
    `createFacet` in interface `FrameStore`
  Overrides:
    `createFacet` in class `FrameStoreAdapter`

### createSimpleInstance

    public SimpleInstance createSimpleInstance(FrameID id,
                                               Collection directTypes,
                                               boolean loadDefaultValues)

  Specified by:
    `createSimpleInstance` in interface `FrameStore`
  Overrides:
    `createSimpleInstance` in class `FrameStoreAdapter`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.